package danielcortes.xyz.models.tipo_ingreso;

import java.util.Objects;

public class TipoIngreso {
  public final static TipoIngreso EMPTY;

  static {
    EMPTY = new TipoIngreso();
    EMPTY.setNombre("EMPTY");
  }

  private int id;
  private String nombre;

  public TipoIngreso(int id, String nombre) {
    this.id = id;
    this.nombre = nombre;
  }

  public TipoIngreso(String nombre) {
    this.nombre = nombre;
  }

  public TipoIngreso() {
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getNombre() {
    return nombre;
  }

  public void setNombre(String nombre) {
    this.nombre = nombre;
  }

  @Override
  public String toString() {
    return "TipoIngreso{" +
        "id=" + id +
        ", nombre='" + nombre + '\'' +
        '}';
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof TipoIngreso)) {
      return false;
    }
    TipoIngreso that = (TipoIngreso) o;
    return id == that.id &&
        Objects.equals(nombre, that.nombre);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, nombre);
  }
}
